# v2-downloadOrderDocuments - Download documents from an order

Description

Use this API to download documents from an order.



Call Frequency

Recommended usage: On each order where we want to retrieve its documents
Maximum usage: On each order where we want to retrieve its documents

Endpoint: GET /v2/orders/{order_id}/documents
Security: Bearer

## Path parameters:

  - `order_id` (string, required)
    Order identifier in Mirakl Connect
    Example: "0024_COMMERCIAL_ID-A"

## Query parameters:

  - `types` (array)
    Filter by document types.

Cannot be used together with document_ids.
    Enum: "RETURN_LABEL", "CUSTOMER_INVOICE", "DELIVERY_SLIP", "SHIPMENT_DELIVERY_SLIP", "CHANNEL_SPECIFIC"

  - `document_ids` (array)
    Filter by specific document IDs.

Only documents that exist and belong to the specified order will be returned. If some requested documents do not exist or do not belong to the order, they will be silently ignored. Returns 404 only if none of the requested documents are found or match the order.

Cannot be used together with types.
    Example: ["f47ac10b-58cc-4372-a567-0e02b2c3d479","6ba7b810-9dad-11d1-80b4-00c04fd430c8"]

## Response 400 fields (application/json):

  - `code` (string, required)
    Error code (immutable)

  - `errors` (array)

  - `errors.extensions` (object)
    Free map where you find additional context data to better describe the error

  - `errors.field` (string)
    JsonPath to the field where the error occurred

  - `errors.message` (string, required)
    Literal string error item description (Please do not base your error handling on this field since it is subject to change)

  - `extensions` (object)
    Free map where you find additional context data to better describe the error

  - `message` (string, required)
    Literal string error description (Please do not base your error handling on this field since it is subject to change)

## Response 404 fields (application/json):

  - `code` (string, required)
    Error code (immutable)

  - `errors` (array)

  - `errors.extensions` (object)
    Free map where you find additional context data to better describe the error

  - `errors.field` (string)
    JsonPath to the field where the error occurred

  - `errors.message` (string, required)
    Literal string error item description (Please do not base your error handling on this field since it is subject to change)

  - `extensions` (object)
    Free map where you find additional context data to better describe the error

  - `message` (string, required)
    Literal string error description (Please do not base your error handling on this field since it is subject to change)


